public class Person 
{
    private final String name;
    
    private final Address address;
    
    private final Gender gender;
    
    public Person(String name, Address addr, Gender gender) {
        this.name = name;
        address = addr;
        this.gender = gender;
    }
    
    public Address getAddress() {
        return address;
    }
    
    public String getName() {
        return name;
    }
    
    public Person sendGreetingsTo(Person p) {
        if (gender == Gender.MALE) {
            // neco
        }
        System.out.println("Person " + getName() + " sends greeting to " + p.getName());
        return this;
    } 
    
    public static void sendGreetingsTo(Person from, Person to) {
        //System.out.println("Person " + from.getName() + " sends greeting to " + to.getName());
        from.sendGreetingsTo(to);
    }    
    
    @Override
    public boolean equals(Object other) {
        return true;
    }
    
    @Override
    public String toString() {
        return "Name: " + name + ", address: " + address;
    }
}













