public class Address
{
    public static final String DEFAULT_TOWN = "Ostrava";
    public static final String DEFAULT_STREET = "Stodolni";
    
    private final String town;
    private final String street;

    public Address(String town, String street) {
        this.town = town;
        this.street = street;
    }
    
    public Address() {
        this(DEFAULT_TOWN, DEFAULT_STREET);
    }
    
    public String getTown() {
        return town;
    }
    
    public Address setStreet(String street) {
        return new Address(this.town, street);
    }
    
    public String getStreet() {
        return street;
    }
    
    @Override
    public String toString() {
        return town + ", " + street;
    }
    
}
