public class SingletonCounter
{
    private int value;
    
    private static SingletonCounter instance = null;
    
    //public static final SingletonCounter INSTANCE = new SingletonCounter();
    
    private SingletonCounter() {
    }
    
    public static SingletonCounter getInstance() {
        if (instance == null) {
            instance = new SingletonCounter();
        }
        return instance;
    }
    
    public int getAndIncrement() {
        return value++;
    }
}
